import request from '@/utils/request'

// 查询cmc领导分管列表
export function listManageDept(query) {
  return request({
    url: '/oa/manageDept/list',
    method: 'get',
    params: query
  })
}

// 查询cmc领导分管详细
export function getManageDept(userId) {
  return request({
    url: '/oa/manageDept/' + userId,
    method: 'get'
  })
}

// 新增cmc领导分管
export function addManageDept(data) {
  return request({
    url: '/oa/manageDept',
    method: 'post',
    data: data
  })
}

// 修改cmc领导分管
export function updateManageDept(data) {
  return request({
    url: '/oa/manageDept',
    method: 'put',
    data: data
  })
}

// 删除cmc领导分管
export function delManageDept(userId) {
  return request({
    url: '/oa/manageDept/' + userId,
    method: 'delete'
  })
}
